Comparison of the monthly gaz consumption of similar households
curl --request GET \
--url https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisonsimport requests
url = "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"month": "<string>",
"energies": {},
"percentComparison": {},
"fromDate": "<string>",
"toDate": "<string>",
"costs": {}
}
]{
"errorCode": "BEGIN_YEAR_MANDATORY",
"errorDescription": "The begin-year is mandatory."
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.households consumption comparaison
Comparison of the monthly gaz consumption of similar households
This service returns the comparison of the monthly consumption in kWh of a given site in relation to its average similar households and the lowest consumers.
GET
/
sites
/
{site-id}
/
similar-home-monthly-gas-comparisons
Comparison of the monthly gaz consumption of similar households
curl --request GET \
--url https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisonsimport requests
url = "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-monthly-gas-comparisons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"month": "<string>",
"energies": {},
"percentComparison": {},
"fromDate": "<string>",
"toDate": "<string>",
"costs": {}
}
]{
"errorCode": "BEGIN_YEAR_MANDATORY",
"errorDescription": "The begin-year is mandatory."
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Path Parameters
Site identifier
Query Parameters
The month (inculded) from which we wish to recover data. format YYYY-MM.
The month (excluded) up to which we wish to recover data. format YYYY-MM.
Response
Successful response
Month comparison.
The monthly consumption power comparison (in KWh) between the site and the similar households
Show child attributes
Show child attributes
Show child attributes
Show child attributes
begin date of the comparison (example 2016-05-01)
end date of the comparison (the date is excluded, format YYYY-MM-JJ, example 2016-06-01)
The monthly consumption cost comparison between the site and the similar households
Show child attributes
Show child attributes